html, body {
  height: 100%;
  width: 100%;
  margin: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #000;
}

.terminal-container {
  width: 80%;
  max-width: 800px;
  border: 2px solid #fff;
  padding: 20px;
  background-color: #000;
  overflow-y: auto;
  max-height: 90vh;
  color: #00ff00;
  font-family: 'Courier New', Courier, monospace;
}

#terminal {
  white-space: pre-wrap;
}

.ejderha {
  display: inline;
  font-size: 16px;
  font-family: 'Courier New', Courier, monospace;
  background: linear-gradient(45deg, #ff007f, #7d56ff, #00d2ff, #ff9e00);
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
}

.terminal-output > div {
  color: #00ff00; 
}

.terminal-output div span {
  color: #00ff00; 
}

.terminal-output .command {
  color: #00ff00; 
}

.terminal-cursor {
  border-bottom: 2px solid #00ff00; 
  animation: blink-caret 0.8s step-end infinite; 
}

@keyframes blink-caret {
  50% {
    border-color: transparent;
  }
}
